--- title: "Get node list" slug: "analytics-vpcsearchengine-cluster-getclusternodelist" tags: ["Search Engine Service"] updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/analytics-vpcsearchengine-cluster-getclusternodelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get node list Available in VPC Get search engine cluster node list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/cluster/getClusterNodeList/{serviceGroupInstanceNo} (Korea Region) | | GET | /api/sgn-v2/cluster/getClusterNodeList/{serviceGroupInstanceNo} (Singapore Region) | | GET | /api/jpn-v2/cluster/getClusterNodeList/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/getClusterNodeList/1037*****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.contractNo` | Integer | - | Contract number | | `result.createdDate` | Object | - | Cluster creation date and time | | `result.createdDate.formattedDate` | String | - | Cluster creation date - yyyy-MM-dd format | | `result.createdDate.formattedDateTime` | String | - | Cluster creation date and time - yyyy-MM-dd HH:mm:ss SSSSSS format | | `result.createdDate.utc` | Integer | - | Cluster creation date and time (millisecond) - Unix timestamp format | | `result.productCode` | String | - | Operating system product code | | `result.regionNo` | Integer | - | Region number | | `result.serviceGroupInstanceNo` | Integer | - | Cluster instance number | | `result.serviceGroupInstanceTypeCode` | String | - | Cluster instance type | | `result.serviceGroupName` | String | - | Cluster name | | `result.statusCode` | String | - | Cluster status | | `result.vpcNo` | Integer | - | VPC number | | `result.computeList` | Array | - | List of nodes: [computeList](/docs/en/analytics-vpcsearchengine-cluster-getclusternodelist#computeList) | | `requestId` | String | - | ID for the request - UUID format | #### `computeList` The following describes `computeList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `computeInstanceNo` | Integer | - | Node server instance number | | `computeInstanceProductCode` | String | - | Node server type code | | `computeInstanceStatus` | String | - | Node server status | | `cpuCount` | Integer | - | Number of CPUs | | `createdYmdt` | Object | - | Node creation date and time | | `createdYmdt.formattedDate` | String | - | Node creation date - yyyy-MM-dd format | | `createdYmdt.formattedDateTime` | String | - | Node creation date and time - yyyy-MM-dd HH:mm:ss SSSSSS format | | `createdYmdt.utc` | Integer | - | Node creation date and time (millisecond) - Unix timestamp format | | `hostName` | String | - | Node server name | | `macAddress` | String | - | Node server MAC address | | `memorySize` | Integer | - | Node server memory size (byte) | | `nodeRoleCode` | String | - | Node type code - `M` \| `D` \| `DO` \| `MO` - `M`: manager node - `D`, `DO`: data node - `MO`: master node | | `operationYmdt` | Object | - | Server operation date and time | | `operationYmdt.formattedDate` | String | - | Server operation date - yyyy-MM-dd format | | `operationYmdt.formattedDateTime` | String | - | Server operation date and time - yyyy-MM-dd HH:mm:ss SSSSSS format | | `operationYmdt.utc` | Integer | - | Server operation date and time (millisecond) - Unix timestamp format | | `osInfo` | String | - | Operating system version | | `privateIp` | String | - | Node server internal IP | | `regionCode` | String | - | Region code | | `regionName` | String | - | Region name | | `regionNo` | String | - | Region number | | `serviceGroupInstanceNo` | Integer | - | Cluster instance number | | `uuid` | String | - | Node server ID - UUID format | | `vpcName` | String | - | VPC name | | `vpcNo` | Integer | - | VPC number | | `subnetNo` | Integer | - | Subnet number | | `subnetName` | String | - | Subnet name | | `zoneName` | String | - | Zone name | | `zoneNo` | Integer | - | Zone number | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "contractNo": 19146995, "createdDate": { "formattedDate": "2025-03-20", "formattedDateTime": "2025-03-20 17:04:37 000283", "utc": 1742457877283 }, "productCode": "SW.VELST.OS.LNX64.ROCKY.0808.B050", "regionNo": 1, "serviceGroupInstanceNo": 1037*****, "serviceGroupInstanceTypeCode": "ELASTICSEARCH", "serviceGroupName": "cluster006", "statusCode": "CREAT", "vpcNo": 9****, "computeList": [ { "computeInstanceNo": 1037*****, "computeInstanceProductCode": "SVR.VELST.STAND.C002.M008.NET.SSD.B050.G002", "computeInstanceStatus": "running", "cpuCount": 2, "createdYmdt": { "formattedDate": "2025-03-20", "formattedDateTime": "2025-03-20 17:04:38 000446", "utc": 1742457878446 }, "hostName": "cluster006-m-6tvf", "macAddress": "F2:**:**:**:**:40", "memorySize": 8589934592, "nodeRoleCode": "M", "operationYmdt": { "formattedDate": "2025-03-20", "formattedDateTime": "2025-03-20 17:09:06 000267", "utc": 1742458146267 }, "osInfo": "Rocky Linux 8.8", "privateIp": "**.**.**.**", "regionCode": "KR", "regionName": "Korea", "regionNo": "1", "serviceGroupInstanceNo": 1037*****, "uuid": "11b1a5d8-****-****-****-13647592550e", "vpcName": "myvpc", "vpcNo": 9****, "subnetNo": 20****, "subnetName": "s1-hd-pri | KR-2 | Private", "zoneName": "KR-2", "zoneNo": 3 }, ... ] }, "requestId": "bb3354b1-****-****-****-5bee2500c24f" } ```